package com.mint.mintdemo;

import android.content.res.Resources;
import android.util.Log;
import android.util.TypedValue;
import android.widget.TextView;

import java.util.Calendar;
import java.util.Date;

public class Util {

    public interface Logger {
        void printMsg(String msg);
    }

    public static String getTime() {
        Calendar cal = Calendar.getInstance();
        cal.setTime(new Date(System.currentTimeMillis()));
        int hours = cal.get(Calendar.HOUR_OF_DAY);
        int minutes = cal.get(Calendar.MINUTE);
        int seconds = cal.get(Calendar.SECOND);
        return hours + ":" + minutes + ":" + seconds;
    }

    public static void appendInfo(TextView tv, String text) {
        CharSequence txt = tv.getText();
        CharSequence newText = txt + "\n" + getTime() + " " + text;
        tv.setText(newText);
    }


    public static void printLogV(String message) {
        Log.v("Mint Demo", message);
    }


    public static float dp2Px(float value) {
        return TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, value,
                Resources.getSystem().getDisplayMetrics());
    }

}
