package com.mint.mintdemo.basic;

import static com.mint.mintdemo.Util.appendInfo;

import android.os.Bundle;
import android.text.method.ScrollingMovementMethod;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;

import com.mint.mintdemo.R;
import com.zeus.gmc.sdk.mobileads.mintmediation.splash.SplashAd;
import com.zeus.gmc.sdk.mobileads.mintmediation.splash.SplashAdListener;

public class BasicSplashActivity extends AppCompatActivity implements SplashAdListener {

    private TextView mTvInfo;
    private Button mBtnShow;
    private Button mBtnLoad;
    private FrameLayout mFlContainer;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_basic_splash);

        ActionBar bar = getSupportActionBar();
        if (bar != null) {
            bar.setDisplayHomeAsUpEnabled(true);
            bar.setTitle(R.string.splash);
        }
        mTvInfo = findViewById(R.id.tv_info);
        mBtnShow = findViewById(R.id.btn_show);
        mBtnLoad = findViewById(R.id.btn_load);
        mFlContainer = findViewById(R.id.fl_container);

        mTvInfo.setMovementMethod(new ScrollingMovementMethod());
        mBtnShow.setEnabled(false);
        SplashAd.setSplashAdListener(this);
    }

    @Override
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
        if (android.R.id.home == item.getItemId()) {
            finish();
            return true;
        }
        return super.onOptionsItemSelected(item);
    }

    public void onLoadClick(View view) {
        SplashAd.loadAd();
        appendInfo(mTvInfo, "Ad load start ... ");
    }


    public void onShowClick(View view) {
        mBtnShow.setEnabled(false);
        mFlContainer.setVisibility(View.VISIBLE);
        SplashAd.showAd(this, mFlContainer);
    }


    @Override
    public void onSplashAdLoad() {
        mBtnShow.setEnabled(true);
        appendInfo(mTvInfo, "Ad load success");
    }

    @Override
    public void onSplashAdFailed(String s) {
        appendInfo(mTvInfo, "Ad load failed");
    }

    @Override
    public void onSplashAdClicked(String scene) {
        appendInfo(mTvInfo, "Ad click");
    }

    @Override
    public void onSplashAdShowed(String scene) {
        mBtnShow.setEnabled(false);
        appendInfo(mTvInfo, "Ad show");
    }

    @Override
    public void onSplashAdShowFailed(String scene, String s) {
        appendInfo(mTvInfo, "Ad show failed");
    }

    @Override
    public void onSplashAdTick(long l) {
        appendInfo(mTvInfo, "Ad tick " + l);
    }

    @Override
    public void onSplashAdDismissed(String scene) {
        mFlContainer.removeAllViews();
        mFlContainer.setVisibility(View.GONE);
        appendInfo(mTvInfo, "Ad dismiss");
    }
}
