package com.mint.mintdemo

import android.content.Context
import android.content.res.Resources
import android.util.Log
import android.util.TypedValue
import android.widget.TextView
import androidx.preference.PreferenceManager
import java.util.*

typealias Logger = (msg: String) -> Unit

fun getTime(): String {
    val cal: Calendar = Calendar.getInstance()
    cal.time = Date(System.currentTimeMillis())
    val hours = cal.get(Calendar.HOUR_OF_DAY)
    val minutes = cal.get(Calendar.MINUTE)
    val seconds = cal.get(Calendar.SECOND)
    return "$hours:$minutes:$seconds"
}

fun appendInfo(tv: TextView, text: String) {
    val txt = tv.text
    val newTxt = "$txt\n${getTime()} $text"

    tv.text = newTxt
}

fun printLogV(message: String) {
    Log.v("Mint Demo", message)
}

val Number.toPx get() = TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_DIP, this.toFloat(),
    Resources.getSystem().displayMetrics)